TAAS - Feature #281

Pop-up Against Docs Search (shared)
01/11/2024 04:54 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 01/11/2024
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Common

Description

Share component Pop-up Against Docs Search

® Add Against Doc Pop-up in all against doc widget modules

ul

Party | Currency Doc No File No/Eng No

Mainledger Branch(Selectbox) Depatment(Select)
Transaction date From, To Debit, Credit (2 checkbox) Module(mcb)
Grid

#| Select | Date | Doc No | Debit | Credit | Settled | Outstanding | Lpo | Reference
close set

History

#1 - 02/02/2024 07:47 PM - Junaid M

- Assignee changed from travvise Admin to Vivekp V

#2 - 02/03/2024 09:18 PM - Vivekp V
Gui Changes Done

#3 - 02/07/2024 12:37 PM - Junaid M
Coding Sharable Module

1. Only Select Opposit Side Documents having outstanding > 0.
2. Set click Build & Fill Against String eg: INV/001(1000), PV/001(250)
3. Controller: TransactionController. Cs: Settlement.cs

#4 - 02/09/2024 06:45 PM - Vivekp V
- Status changed from New to Coding Done

- % Done changed from 0 to 60

coding done and implemented in receipt

#5 - 03/05/2024 03:09 PM - unnikannan S

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.CONSIDER OUTSTANDING AMOUNT IF ANY SETTLEMENT IS DONE PREVIOUSLY FOR ADDED DOCUMENT
#6 - 03/06/2024 04:37 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.CONSIDER OUTSTANDING AMOUNT IF ANY SETTLEMENT IS DONE PREVIOUSLY FOR ADDED DOCUMENT

#7 - 10/22/2024 09:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Valid Module Names In Module Multy Select Field
2.Fix Translation Mistakes in Voucher Date

#8 - 10/22/2024 10:11 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Show Valid Module Names In Module Multy Select Field -- needs to be done from their respective modules of the pop showing

2.Fix Translation Mistakes in Voucher Date done

#9 - 10/28/2024 03:34 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.Show only valid module names in the module select field (for solution discuss with anil)
--->refund
--->sale

#10 - 10/29/2024 11:43 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Show only valid module names in the module select field (for solution discuss with anil)
--->refund
--->sale

#11 - 11/07/2024 06:25 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSSUE

1. Reversed Posting is showing in Search Result.
Soln: consider value of Field -> tr.sin_doc_reversal_type

tr.sin_doc_reversal_type !=1

#12 - 11/08/2024 09:47 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/04/2025
ISSSUE FIXED

1. Reversed Posting is showing in Search Result.
Soln: consider value of Field -> tr.sin_doc_reversal_type

#13 - 11/21/2024 06:09 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Change 'party' to 'Account’

#14 - 11/22/2024 09:46 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1. Change 'party' to 'Account’

#15 - 12/07/2024 09:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1.Disable The Department Field After Search

#16 - 12/09/2024 10:00 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 12/16/2024 12:39 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

New Change DONE

1) Add redirect to document hyperlink

#18 - 12/18/2024 06:32 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#19 - 01/08/2025 04:17 PM - Theja Ponon

- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#20 - 01/15/2025 10:37 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes
- Assignee changed from Vivekp V to Sreeranjini T

- % Done changed from 90 to 50

NEW CHANGES

1. The search pop up should have two tabs first tab --> outstanding document list

second tab--> Matched documents

--The matched documents tab should show all the documents that this document has been matched with.

05/04/2025
--Columns similar to settlement module
Doc no:| date| Debit| Credit| Matched| Outstanding

2. Increase the height of List
-Rename 'Document List' to 'Outstanding Documents List

#21 - 02/05/2025 09:59 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#22 - 02/19/2025 12:38 PM - Arathy PS
- File clipboard-202502191238-ai2rg.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Receipt No Date” | 19/02/2025 (]
Payee Nam:
Narrati
Account” | CUSD03 | CREDIT LIMIT CUSTOMER v
Intemal Note IR
Transaction Dat:

Document Status™ | Active

Posting Status™
osHng StatisT | Active Qutstanding Document List

Cost Center

Created By:
Medified By:
# Doc Date Document No Voucher Date  Voucher No
Against Doc - 1 14/02/2025 DN/002
2 18/02/2025 INV/016 18/02/2025 HV/005
Account *~
El 18/02/2025 /016 18/02/2025 Tv/001
Main Ledger™
4 18/02/2025 INV/018 18/02/2025 2004
Sub Customer ~
5 18/02/2025 INV/023 18/02/2025 HV/006
Narration
6 19/02/2025 INV/028 19/02/2025 2400
Branch® BROO1::
Department™ DPOOT: 4

Debit

200.00

1115.00

1115.00

1115.00

1115.00

1100.00

2. Not showing matched documents tab on edit mode.- need to fix the receipt

#23 - 02/19/2025 06:22 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 03/12/2025 03:35 PM - Arathy PS

- File clipboard-202503121534-vius8.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Main ledger is not loading.
2. No data showing in the matched documents tab.

05/04/2025

Debit ©

Credit

Credit

v

T Q 2 O
Settled Outstanding  LF

0.00 200.00
0.00 1115.00
0.00 1115.00
0.00 1115.00
0.00 1115.00
0.00 1100.00

& Close o Set

Collection
Account”

CUS005 | Customer A QAR vV Branch ' BROO1: Main
Transaction Date® | gq/pM fyyyy G dd/MM/yyyy m Doc No
P2

Outstanding Document List = Matched Documents

Matched Documents List Doc No: INV/026

Document No Doc Date Debit Credit Current Matched

No data

#25 - 03/17/2025 01:47 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 03/26/2025 02:23 PM - Arathy PS

- File clipboard-202503261414-8fncm.png added

- File clipboard-202503261422-keb3n.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

~
Credit ©

Debit

Other Matched Outstanding

[ Close & Set

1. Not showing the document while clicking on the document no: (not working while clicking sale doc no:)
2. Document no: showing for AR shared is wrong.

Receipt

Receipt No Date” | 26/03/2025 [ ] Branch”™  BRO01: Main

Payee Name ~ Department’ | Dpn01- Acco

Search Against Document

Narration

Account” | CUS00Z | ASMAAN AJAZ SEHAR Branch”

BROOT: Main >
Debit ©

Internal Note
Transaction Date™ Doc No

Document Status’ | Active
vwy

Posting Status™
ostng Stetus | Active Outstanding Document List

Created By:
Modified By:
Outstanding Document List

* Doc Date

Document No

Voucher Date | Voucher No Debit Credit

1 25/03/2025 25/03/2025 1100 557.50

Against Doc ~

2 25/03/2025 25/03/2025 05/002 1115.00

Account ™~ | Cyspos

3 26/03/2025 26/03/2025 1500 215.00

Main Ledger” | Sundry Debtors

Sub Customer =

Narration

Settled

T Q 2
Outstanding LR
557.50
1115.00

215.00

Collection

Branch”
Department*

Cost Center

BROO1: N

DP0O1:= 4

3.fixed - Same doc no: is showing two times in matched tab.

05/04/2025

& Close

& Set
Receipt No
Payee Name ~
Narration

Intemal Note
Document Status™

Posting Status™

Created By:
Modified By:

Against Doc ~
Customer * ~
Main Ledger™

Sub Customer ~

Narration
Branch™
Department”

Cost Center

Receipt

RV/008

Date™ | 26/03/2025

Search Against Document

Account”

v Branch”

epartment”

Branch®  BROO1: Main

CUSD02 | ASHARAF ARRIF KHAN QAR BROD1: Main i -
2 Reset
Transaction Date” Doc No Debit @  Credit
Active
¥y¥
Active | Outstanding Document List =~ Matched Documents
Administrator(26/03
ed Documents List UocCRV/UUH T Q 2 O
Document No Doc Date Debit Credit Current Matched Other Matched Outstanding
= Account: CUS002:ASHARAF AARIF KHAN
#1500{200)
INV/005 26/03/2025 100000 000 500.00 200.00 300.00
cusooz
| INV/005 26/03/2025 1000.00 0.00 200.00 500.00 300.00
Sundry Debtors|
BROOT: N
DPOOT: £
[ Close & Set

4.Against doc of asset sale return, data is not showing in account field

#27 - 03/26/2025 02:23 PM - Arathy PS

- Tested By changed from unnikannan S to Arathy PS

#28 - 04/03/2025 03:13 PM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

v
v v
& posting
-
€ Copy
QAR Vv

“pllection

clipboard-202502191238-ai2rg.png
clipboard-202503121534-vius8.png
clipboard-202503261414-8fncm.png
clipboard-202503261422-keb3n.png

05/04/2025

151 KB
40.7 KB
144 KB
161 KB

02/19/2025
03/12/2025
03/26/2025
03/26/2025

Arathy PS
Arathy PS
Arathy PS
Arathy PS
